Setting:
  allOf:
    - $ref: '#/SettingReadOnlyProperties'
    - $ref: '#/SettingFillableProperties'

SettingsResponse:
  type: object
  properties:
    data:
      type: array
      items:
        $ref: '#/Setting'

PatchSeveralSettingsRequest:
  type: object
  properties:
    settings:
      type: array
      items:
        $ref: '#/SettingsForPatch'

SettingsForPatch:
  allOf:
    - $ref: '#/IncludeId'
    - $ref: '#/SettingFillableProperties'

SettingFillableProperties:
  type: object
  properties:
    value:
      type: string
      description: значение параметра
      example: "30"
    name:
      type: string
      description: название параметра
      example: Срок для оплаты заказа клиентов


SettingReadOnlyProperties:
  type: object
  properties:
    id:
      type: integer
      description: ID параметра
      example: 1
    code:
      type: string
      description: символьный код параметра
      example: timeForPayment
    created_at:
      type: string
      format: date-time
      description: дата создания параметра
      example: "2021-06-11T11:27:10.000000Z"
      nullable: true
    updated_at:
      type: string
      format: date-time
      description: дата обновления параметра
      example: "2021-06-11T11:27:10.000000Z"
      nullable: true

IncludeId:
  type: object
  properties:
    id:
      type: integer
      description: ID параметра
      example: 1
